@charset "UTF-8";

/* Millions Editions
====================================================*/
a.millions {
    text-decoration: none;
}

/* ボタン
====================================================*/
.btn-lf-a {
    justify-content: center;
    align-items: center;
    text-decoration: none;
}

/* 色指定 */
.btn-lf-a.btn-lf-a-6d6e70 {
    color: #6d6e70
}

.btn-lf-a.btn-lf-a-ffffff {
    color: #ffffff
}

.btn-lf-a.btn-lf-a-000000 {
    color: #000
}

.btn-lf-a.btn-lf-a-ff8000 {
    color: #ff8000
}


/* ホバー色指定 */
.btn-lf-a.btn-lf-a-6d6e70:hover,
.btn-lf-a.btn-lf-a-6d6e70:active,
.btn-lf-a.btn-lf-a-6d6e70:focus {
    color: #6d6e70
}

.btn-lf-a.btn-lf-a-ffffff:hover,
.btn-lf-a.btn-lf-a-ffffff:active,
.btn-lf-a.btn-lf-a-ffffff:focus {
    color: #ffffff
}

.btn-lf-a.btn-lf-a-000000:hover,
.btn-lf-a.btn-lf-a-000000:active,
.btn-lf-a.btn-lf-a-000000:focus {
    color: #000
}

.btn-lf-a.btn-lf-a-ff8000:hover,
.btn-lf-a.btn-lf-a-ff8000:active,
.btn-lf-a.btn-lf-a-ff8000:focus {
    color: #ff8000
}


.btn-lf-a-icon {
    display: inline-block !important;
    position: relative;
    vertical-align: middle;
    margin-right: 17px
}

/* アイコンサイズ指定 */
.btn-lf-a-36 .btn-lf-a-icon {
    width: 36px;
    height: 36px
}

.btn-lf-a-50 .btn-lf-a-icon {
    width: 50px;
    height: 50px
}

.btn-lf-a-68 .btn-lf-a-icon {
    width: 68px;
    height: 68px
}

.btn-lf-a-icon::before {
    position: absolute;
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    opacity: 0;
    z-index: 0
}

.btn-lf-a-6d6e70 .btn-lf-a-icon::before {
    border: 1px solid #6d6e70
}

.btn-lf-a-ffffff .btn-lf-a-icon::before {
    border: 1px solid #ffffff
}

.btn-lf-a-000000 .btn-lf-a-icon::before {
    border: 1px solid #000
}

.btn-lf-a-ff8000 .btn-lf-a-icon::before {
    border: 1px solid #ff8000
}

.btn-lf-a-icon svg {
    position: absolute;
    top: 0;
    left: 0
}

.btn-lf-a-6d6e70 .btn-lf-a-icon svg {
    fill: #6d6e70
}

.btn-lf-a-ffffff .btn-lf-a-icon svg {
    fill: #ffffff
}

.btn-lf-a-000000 .btn-lf-a-icon svg {
    fill: #000
}

.btn-lf-a-ff8000 .btn-lf-a-icon svg {
    fill: #ff8000
}

.btn-lf-a-icon svg .circle {
    fill: none;
    stroke-width: 1px;
    width: 100%;
    height: 100%;
    -webkit-transform-origin: center;
    -ms-transform-origin: center;
    transform-origin: center
}

.btn-lf-a-6d6e70 .btn-lf-a-icon svg .circle {
    stroke: #6d6e70
}

.btn-lf-a-ffffff .btn-lf-a-icon svg .circle {
    stroke: #ffffff
}

.btn-lf-a-000000 .btn-lf-a-icon svg .circle {
    stroke: #000
}

.btn-lf-a-ff8000 .btn-lf-a-icon svg .circle {
    stroke: #ff8000
}

.btn-lf-a-icon svg .arrow {
    opacity: 1;
    -webkit-transform: translateX(0);
    -ms-transform: translateX(0);
    transform: translateX(0)
}

a.btn-lf-a:hover .btn-lf-a-icon::before {
    opacity: .1
}

a.btn-lf-a:hover .btn-lf-a-icon svg .arrow {
    -webkit-animation: arrow 1.5s forwards ease-in-out;
    animation: arrow 1.5s forwards ease-in-out
}

a.btn-lf-a:hover .btn-lf-a-icon svg .circle {
    fill: transparent;
    stroke-width: 1;
    -webkit-animation: circle 2s forwards cubic-bezier(0.215, 0.61, 0.355, 1);
    animation: circle 2s forwards cubic-bezier(0.215, 0.61, 0.355, 1)
}

a.btn-lf-a-6d6e70.btn-lf-a:hover .btn-lf-a-icon svg .circle {
    stroke: #6d6e70
}

a.btn-lf-a-ffffff.btn-lf-a:hover .btn-lf-a-icon svg .circle {
    stroke: #ffffff
}

a.btn-lf-a-000000.btn-lf-a:hover .btn-lf-a-icon svg .circle {
    stroke: #000
}

a.btn-lf-a-ff8000.btn-lf-a:hover .btn-lf-a-icon svg .circle {
    stroke: #ff8000
}

a:hover .btn-lf-a .btn-lf-a-icon::before {
    opacity: .1
}

a:hover .btn-lf-a .btn-lf-a-icon svg .arrow {
    -webkit-animation: arrow 1.5s forwards ease-in-out;
    animation: arrow 1.5s forwards ease-in-out
}

a:hover .btn-lf-a .btn-lf-a-icon svg .circle {
    fill: transparent;
    stroke-width: 1;
    -webkit-animation: circle 2s forwards cubic-bezier(0.215, 0.61, 0.355, 1);
    animation: circle 2s forwards cubic-bezier(0.215, 0.61, 0.355, 1)
}

a:hover .btn-lf-a-6d6e70.btn-lf-a .btn-lf-a-icon svg .circle {
    stroke: #6d6e70
}

a:hover .btn-lf-a-ffffff.btn-lf-a .btn-lf-a-icon svg .circle {
    stroke: #ffffff
}

a:hover .btn-lf-a-000000.btn-lf-a .btn-lf-a-icon svg .circle {
    stroke: #000
}

a:hover .btn-lf-a-ff8000.btn-lf-a .btn-lf-a-icon svg .circle {
    stroke: #ff8000
}


@-webkit-keyframes arrow {
    0% {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }

    10% {
        opacity: 0;
        -webkit-transform: translateX(50%);
        transform: translateX(50%)
    }

    25% {
        opacity: 0;
        -webkit-transform: translateX(-50%);
        transform: translateX(-50%)
    }

    40% {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }

    100% {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
}

@keyframes arrow {
    0% {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }

    10% {
        opacity: 0;
        -webkit-transform: translateX(50%);
        transform: translateX(50%)
    }

    25% {
        opacity: 0;
        -webkit-transform: translateX(-50%);
        transform: translateX(-50%)
    }

    40% {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }

    100% {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
}

@-webkit-keyframes circle {
    0% {
        stroke-dasharray: 0 300;
        -webkit-transform: rotate(0);
        transform: rotate(0)
    }

    10% {
        stroke-dasharray: 50 100
    }

    20% {
        stroke-dasharray: 100 200
    }

    30% {
        stroke-dasharray: 150 300
    }

    40% {
        stroke-dasharray: 200 300
    }

    60% {
        stroke-dasharray: 300 300;
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg)
    }
}

@keyframes circle {
    0% {
        stroke-dasharray: 0 300;
        -webkit-transform: rotate(0);
        transform: rotate(0)
    }

    10% {
        stroke-dasharray: 50 100
    }

    20% {
        stroke-dasharray: 100 200
    }

    30% {
        stroke-dasharray: 150 300
    }

    40% {
        stroke-dasharray: 200 300
    }

    60% {
        stroke-dasharray: 300 300;
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg)
    }
}